{% extends 'app/base.html' %}

{% load widget_tweaks %}

{% block content %}
  <h1>Messages from {{recevier}}</h1>
  <div class="col-md-8">
    <h1 class="mb-5 mt-5">Messages</h1>
      {% for message in messages %}
        {% include 'includes/message_card.html' with message=message user=user%}
      {% endfor %}
  </div>
  <form method="post">
    {% csrf_token %}

    {% for hidden in form.hidden_fields %}
      {{ hidden }}
    {% endfor %}

    <div class="container">
      <div class="row">
        <div class="col-md-6">
          {% for field in form.visible_fields %}
            <div class="form-group">
              <label for="{{ field.id_for_label }}">{{ field.label }}</label>
              {{ field|add_class:'form-control' }}
              {% for error in field.errors %}
                <span class="help-block">{{ error }}</span>
              {% endfor %}
            </div>
          {% endfor %}

          <div class="form-group">
            <button type="submit" class="btn btn-success">
              <span class="glyphicon glyphicon-ok"></span> Save
            </button>
            <a href="{% url 'home_path' %}" class="btn btn-default">Cancel</a>
          </div>
        </div>
      </div>
    </div>
    

  </form>
{% endblock %}
